package org.eclipse.palamedes.kif.core.ast;

public abstract class KIFSent extends ASTNode {

    private String leadingComment;

    KIFSent(AST ast) {
        super(ast);
    }

    public abstract String getName();

    public abstract int getOperandCount();

    public abstract KIFSeq<? extends ASTNode> getOperands();

    public void setLeadingComment(String comment) {
        leadingComment = comment;
    }

    public String getLeadingComment() {
        return leadingComment;
    }

}
