package org.eclipse.palamedes.kif.core.ast;

public abstract class ASTVisitor {

    abstract public void visit(KIFConjunction node);
    abstract public void visit(KIFDisjunction node);
    abstract public void visit(KIFForm 		  node);
    abstract public void visit(KIFFunTerm 	  node);
    abstract public void visit(KIFImplication node);
    abstract public void visit(KIFIndVar 	  node);
    abstract public void visit(KIFLogConst    node);
    abstract public void visit(KIFNegation 	  node);
    abstract public void visit(KIFObjConst    node);
    abstract public void visit(KIFOperator    node);
    abstract public void visit(KIFRelSent     node);

}
