package org.eclipse.palamedes.kif.core.knowledgebase;


/**
 * The IKBAnalyser interface is the most basic interface for knowledge base 
 * analyser classes.
 *
 * @author Ingo Keller
 *
 */
public interface IKBAnalyser {

	/**
	 * The analyse method gets called by the knowledge base.
	 */
    public void analyse(KnowledgeBase kb);

}
